### GET /backend/questionnaires/all Source: https://developers.snapaddy.com/visitreport-rest-api/swagger.json Retrieves all questionnaires ```markdown ### Parameters - **limit** (string, query, optional): Limit parameter - **page** (string, query, optional): Page parameter - **finalizedOnly** (string, query, optional): Only select finalized questionnaires - **order** (string, query, optional): A comma-separated string of sorting column and sorting order - **filter** (string, query, optional): Filter by the state of a questionnaire - **search** (string, query, optional): Search for this substring in the questionnaire's default title ### Responses #### 200 - Success Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/backend/questionnaires/all?limit=value&page=value&finalizedOnly=value&order=value&filter=value&search=value" ``` ``` -------------------------------- ### GET /question/{questionId} Source: https://developers.snapaddy.com/visitreport-rest-api/swagger.json Retrieves a single question by its id. ```markdown ### Parameters - **questionId** (string, path, required): ID of the question ### Responses #### 200 - Success Empty response body #### 401 - Unauthorized Unauthorized #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/question/{questionId}" ``` ``` -------------------------------- ### GET /questionOption/{questionOptionId} Source: https://developers.snapaddy.com/visitreport-rest-api/swagger.json Retrieves a single questionOption by its id. ```markdown ### Parameters - **questionOptionId** (string, path, required): ID of the questionOption ### Responses #### 200 - Success Empty response body #### 401 - Unauthorized Unauthorized #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/questionOption/{questionOptionId}" ``` ``` -------------------------------- ### GET /backend/questionnaires/{questionnaireId} Source: https://developers.snapaddy.com/visitreport-rest-api/swagger.json Retrieves a single questionnaire by its id. ```markdown ### Parameters - **questionnaireId** (string, path, required): ID of the questionnaire ### Responses #### 200 - Success Empty response body #### 401 - Unauthorized Unauthorized #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/backend/questionnaires/{questionnaireId}" ``` ``` -------------------------------- ### GET /answerOption/{answerOptionId} Source: https://developers.snapaddy.com/visitreport-rest-api/swagger.json Retrieves a single answerOption by its id. ```markdown ### Parameters - **answerOptionId** (string, path, required): ID of the answerOption ### Responses #### 200 - Success Empty response body #### 401 - Unauthorized Unauthorized #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/answerOption/{answerOptionId}" ``` ``` -------------------------------- ### GET /answer/{answerId} Source: https://developers.snapaddy.com/visitreport-rest-api/swagger.json Retrieves a single answer by its id. ```markdown ### Parameters - **answerId** (string, path, required): ID of the answer ### Responses #### 200 - Success Empty response body #### 401 - Unauthorized Unauthorized #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/answer/{answerId}" ``` ``` -------------------------------- ### GET /participant/{participantId} Source: https://developers.snapaddy.com/visitreport-rest-api/swagger.json Retrieves a single participant by its id. ```markdown ### Parameters - **participantId** (string, path, required): ID of the participant ### Responses #### 200 - Success Empty response body #### 401 - Unauthorized Unauthorized #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/participant/{participantId}" ``` ``` -------------------------------- ### GET /group/{groupId} Source: https://developers.snapaddy.com/visitreport-rest-api/swagger.json Retrieves a single group by its id. ```markdown ### Parameters - **groupId** (string, path, required): ID of the group ### Responses #### 200 - Success Empty response body #### 401 - Unauthorized Unauthorized #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/group/{groupId}" ``` ``` -------------------------------- ### GET /backend/questionnaires/{questionnaireId}/participants/all Source: https://developers.snapaddy.com/visitreport-rest-api/swagger.json Retrieves all participants of a single questionnaire ```markdown ### Parameters - **questionnaireId** (string, path, required): ID of the questionnaire - **limit** (string, query, optional): Limit parameter - **page** (string, query, optional): Page parameter - **filter** (string, query, optional): Filter by the state of a participant ### Responses #### 200 - Success Empty response body #### 401 - Unauthorized Unauthorized #### 404 - Not Found Not Found #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.example.com/backend/questionnaires/{questionnaireId}/participants/all?limit=value&page=value&filter=value" ``` ``` -------------------------------- ### GET /attachment/{questionnaireId}/{participantId}/{attachmentId} Source: https://developers.snapaddy.com/visitreport-rest-api/swagger.json Retrieve attachments of questionnaire participants such as participant photos. ```markdown ### Parameters - **questionnaireId** (string, path, required): Id of the questionnaire - **participantId** (string, path, required): Id of the participant to retrieve attachments for - **attachmentId** (string, path, required): Id of the attachment to retrieve ### Responses #### 200 - Success Empty response body #### 401 - Unauthorized Unauthorized #### 404 - Not Found Not Found ### Example Usage ```bash curl -X GET "https://api.example.com/attachment/{questionnaireId}/{participantId}/{attachmentId}" ``` ``` -------------------------------- ### API Overview: VisitReport REST API Source: https://developers.snapaddy.com/visitreport-rest-api/swagger.json This is the specification for our VisitReport REST API. ```yaml # VisitReport REST API # Version: 0.1.0 This is the specification for our VisitReport REST API. # Base URL: Not specified ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.